void anilife(int t, int vAni1)

{

        
    void self = getlocalvar("self");
    
    int Health = getentityproperty(self, "health"); // Get entity's health
    int Maxhealth = getentityproperty(self, "maxhealth");  
    int Nmaxhealth = Maxhealth*t ;
       
    if (Health <= Nmaxhealth)
    { // Health = 0?
      changeentityproperty(self, "animation", openborconstant(vAni1)); //Shoot!
    }
    
      



}

